<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Validator;

class Category extends Model
{

    protected $fillable = ['name','slug','description','thumbnail'];

    public static function getAvailableCategories(){

        return self::select(['name', 'slug'])->where('status','active')->get();
    }

    public function products(){

        return $this->hasMany("App\Models\Product")->with('images')->where('status','active');
    }
}
