/*
 * Author: Abdullah A Almsaeed
 * Date: 4 Jan 2014
 * Description:
 *      This is a demo file used only for the main dashboard (index.html)
 **/

$(function () {

    'use strict'

    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    var ticksStyle = {
        fontColor: '#495057',
        fontStyle: 'bold'
    }

    var mode = 'index'
    var intersect = true

    var $salesChart = $('#sales-yearly-chart')

    $.ajax({
        url: '/yearlychartdata',
        type: 'GET',

        datatype: 'json',
        success: function (data) {
            //Set default data for months
            let work = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
            let outcome = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];

            //Set Outcomes chart data
            $.each(data.otcomes, function (index, value) {
                outcome[index - 1] = value.price;
            });

            //Set Works chart data
            $.each(data.works, function (index, value) {
                work[index - 1] = value.price;
            });

            var salesChart = new Chart($salesChart, {
                type: 'bar',
                data: {
                    labels: ['Январь', 'Февраль', 'Март', 'Апрель', 'Май', 'Июнь', 'Июль', 'Август', 'Сентябрь', 'Октябрь', 'Ноябрь', 'Декабрь'],
                    datasets: [
                        {
                            backgroundColor: '#007bff',
                            borderColor: '#007bff',
                            data: work
                        },
                        {
                            backgroundColor: '#5d646a',
                            borderColor: '#5d646a',
                            data: outcome
                        }
                    ]
                },
                options: {
                    maintainAspectRatio: false,
                    tooltips: {
                        mode: mode,
                        intersect: intersect
                    },
                    hover: {
                        mode: mode,
                        intersect: intersect
                    },
                    legend: {
                        display: false
                    },
                    scales: {
                        yAxes: [{
                            // display: false,
                            gridLines: {
                                display: true,
                                lineWidth: '4px',
                                color: 'rgba(0, 0, 0, .2)',
                                zeroLineColor: 'transparent'
                            },
                            ticks: $.extend({
                                beginAtZero: true,

                                // Include a dollar sign in the ticks
                                callback: function (value, index, values) {
                                    if (value >= 1000) {
                                        value /= 1000
                                        value += 'k'
                                    }
                                    return '₽' + value
                                }
                            }, ticksStyle)
                        }],
                        xAxes: [{
                            display: true,
                            gridLines: {
                                display: false
                            },
                            ticks: ticksStyle
                        }]
                    }
                }
            })

        },
        error: function (jqXHR, textStatus, errorThrown) {

        }
    });

    $('#reservation').daterangepicker();

    // Make the dashboard widgets sortable Using jquery UI
    $('.connectedSortable').sortable({
        placeholder: 'sort-highlight',
        connectWith: '.connectedSortable',
        handle: '.card-header, .nav-tabs',
        forcePlaceholderSize: true,
        zIndex: 999999
    });

    $('.connectedSortable .card-header, .connectedSortable .nav-tabs-custom').css('cursor', 'move')



    $('.daterangereport').daterangepicker({
        ranges: {
            'Today': [moment(), moment()],
            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
            'This Month': [moment().startOf('month'), moment().endOf('month')],
            'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        },
        startDate: moment().subtract(29, 'days'),
        endDate: moment()
    }, function () {

    });


        $.ajax({
            url: '/getchartdata',
            type: 'GET',
            datatype: 'json',
            success: function (data) {
                let chartData = [];

                $.each(data, function (index, value) {
                    if (value.outcomes_date !== undefined && value.work_date !== undefined) {
                        chartData.push({y: value.outcomes_date, work: value.price[1], outcomes: value.price[0]})
                    } else {
                        if (value.outcomes_date !== undefined) {
                            chartData.push({y: value.outcomes_date, work: 0, outcomes: value.price})
                        }
                        if (value.work_date !== undefined) {
                            chartData.push({y: value.work_date, work: value.price, outcomes: 0})
                        }
                    }
                });

                var area = new Morris.Area({
                    element: 'revenue-chart',
                    resize: true,
                    data: chartData,
                    xkey: 'y',
                    ykeys: ['outcomes', 'work'],
                    labels: ['Расходы', 'Работи'],
                    lineColors: ['#495057', '#007cff'],
                    hideHover: 'auto'
                })
            },
            error: function (jqXHR, textStatus, errorThrown) {

            }
        });


        //Report Page Chart
    // todo

    function getForTopChart(){

        let start_end = $('#reservation').val();

        $.ajax({
            url: '/getchartdatapost',
            type: 'POST',
            data: {date : start_end },
            datatype: 'json',
            success: function (data) {

                let chartData = [];

                let work_price = 0;
                let out_price = 0;
                let result = 0;


                $.each(data, function (index, value) {
                    if (value.outcomes_date !== undefined && value.work_date !== undefined) {
                        chartData.push({y: value.outcomes_date, work: value.price[1], outcomes: value.price[0]})
                        out_price += parseFloat(value.price[0]);
                        work_price += parseFloat(value.price[1]);
                    } else {
                        if (value.outcomes_date !== undefined) {
                            chartData.push({y: value.outcomes_date, work: 0, outcomes: value.price})
                            out_price += parseFloat(value.price);
                        }
                        if (value.work_date !== undefined) {
                            chartData.push({y: value.work_date, work: value.price, outcomes: 0})
                            work_price += parseFloat(value.price);
                        }
                    }
                });


                var area = new Morris.Area({
                    element: 'revenue-chart-top',
                    resize: true,
                    data: chartData,
                    xkey: 'y',
                    ykeys: ['outcomes', 'work'],
                    labels: ['Расходы', 'Работи'],
                    lineColors: ['#495057', '#007cff'],
                    hideHover: 'auto'
                })

                result = work_price - out_price;

                $('#itog').html(result);
                $('#works').html(work_price);
                $('#outs').html(out_price);

            },
            error: function (jqXHR, textStatus, errorThrown) {

            }
        });




    }
    //Report page Chartsss
    $('#reservation_but').click(function () {
        ajaxforreport();
    });
    function ajaxforreport(){

        let start_end = $('#reservation').val();

            $.ajax({
                url: '/getchartdataforreports',
                type: 'POST',
                data: {date : start_end },
                datatype: 'json',
                success: function (data) {
                    getForTopChart();
                    // Donut Chart
                    let src = [];
                    let out = [];

                    let source = data.source;
                    let outcomes = data.out;

                    $.each(source, function (index, value) {

                          src.push({label : value.source_name , value: value.cnt});
                    });

                    $.each(outcomes, function (index, value) {

                         out.push({label : value.name , value: value.cnt});
                    });

                    var donut_works = new Morris.Donut({
                        element: 'sales-chart-works',
                        resize: true,
                        colors: ['#007bff', '#dc3545', '#28a745'],
                        data: src,
                        hideHover: 'auto'
                    });

                    var donut_outcomes = new Morris.Donut({
                        element: 'sales-chart-outcomes',
                        resize: true,
                        colors: ['#ffbe2c', '#ca4bdc', '#0ca79d'],
                        data: out,
                        hideHover: 'auto'
                    });


                },
                error: function (jqXHR, textStatus, errorThrown) {

                }
            });
        }

    // todo





    // Fix for charts under tabs
    $('.box ul.nav a').on('shown.bs.tab', function () {
        donut_works.redraw()
        donut_outcomes.redraw()
    })
});
