@extends('admin.layouts.index')
@section('title','Categories')
@section('content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper mt-md-3">

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-2 mb-3 mt-3">
                        <a href="{{url('admin/categories/create')}}" class="btn btn-block btn-info btn-sm">Add Category</a>
                    </div>
                    <div class="col-12">
                        <div class="card">
                            <!-- /.card-header -->
                            <div class="card-body table-responsive p-0">
                                <table class="table table-hover">
                                    <tr>
                                        <th>ID</th>
                                        <th>Name</th>
                                        <th>Description</th>
                                        <th>Thumbnail</th>
                                        <th>Actions</th>
                                    </tr>

                                    @if($categories)
                                        @foreach($categories as $category)
                                            <tr>
                                                <td>{{$category->id}}</td>
                                                <td>{{$category->name}}</td>
                                                <td>{{$category->description}}</td>
                                                <td>
                                                    <a href="javascript:;" data-toggle="modal" onclick="storeSrc( '{{$category->thumbnail}}' )" data-target="#thumbnailpreviewModal">
                                                        <img src="{{asset('uploads/categories/'.$category->thumbnail)}}" width="200"/>
                                                    </a>
                                                </td>
                                                <td>
                                                    <div class="btn-group">
                                                        <button type="button" class="btn btn-info">Action</button>
                                                        <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                                            <span class="caret"></span>
                                                            <span class="sr-only">Toggle Dropdown</span>
                                                        </button>
                                                        <div class="dropdown-menu" role="menu" x-placement="bottom-start" style="position: absolute; transform: translate3d(67px, 38px, 0px); top: 0px; left: 0px; will-change: transform;">
                                                            <a class="dropdown-item" href="{{url('/admin/categories/'.$category->id.'/edit')}}">Edit</a>
                                                            <a href="javascript:;" data-toggle="modal" onclick="deleteData({{$category->id}})" data-target="#DeleteModal" class="dropdown-item">Delete</a>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>
                                        @endforeach
                                    @endif
                                </table>
                            </div>

                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->
                    </div>
                </div><!-- /.row -->
            </div>
        </section>
    </div>
@endsection
@include('admin.categories.deletemodal')
@include('admin.categories.thumbnailmodal')
