@extends('admin.layouts.index')
@section('title','Edit Press')
@section('content')
    <div class="content-wrapper mt-md-3">

        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-6 offset-md-3">
                        <div class="card card-info">
                            <div class="card-header">
                                <h3 class="card-title">Press Details</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->
                            <form class="form-horizontal" action="{{ route('press.update', $press->id) }}" method="POST" enctype="multipart/form-data">
                                @csrf
                                @method('put')
                                <div class="card-body">
                                    <div class="form-group">
                                        <label for="title" class="col-sm-12 control-label">Title</label>

                                        <div class="col-sm-12">
                                            <input type="text" class="form-control" id="title" value="{{$press->title}}" name="title" placeholder="Title" required>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="subtitle" class="col-sm-12 control-label">Subtitle</label>

                                        <div class="col-sm-12">
                                            <input type="text" class="form-control" id="subtitle" value="{{$press->subtitle}}" name="subtitle" placeholder="Sub Title" required>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="url" class="col-sm-12 control-label">Url</label>

                                        <div class="col-sm-12">
                                            <input type="text" class="form-control" id="url" value="{{$press->url}}" name="url" placeholder="Url" required>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="thumbnail" class="col-sm-12 control-label">Thumbnail</label>

                                        <div class="col-sm-12">
                                            <input type="file" class="form-control" id="thumbnail" name="thumbnail" placeholder="Thumbnail" >
                                            <hr>
                                            <p>* If you upload new file, the existing image would be overwritten</p>
                                            <img src="{{asset('uploads/press/'.$press->thumbnail)}}" width="600"/>
                                        </div>
                                    </div>
                                </div>
                                <!-- /.card-body -->
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-info">Save</button>
                                </div>
                                <!-- /.card-footer -->
                            </form>

                            @if ($errors->any())
                                {{ implode('', $errors->all(':message')) }}
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
