@extends('admin.layouts.index')
@section('title','Create Product')
@section('content')
    <div class="content-wrapper mt-md-3">

        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-6 offset-md-3">
                        <div class="card card-info">
                            <div class="card-header">
                                <h3 class="card-title">Product Details</h3>
                            </div>
                            <!-- form start -->
                            <form class="form-horizontal" action="{{ route('products.store') }}" method="POST" enctype="multipart/form-data">
                                @csrf
                                <div class="card-body">
                                    <div class="form-group">
                                        <label for="inputEmail3" class="col-sm-12 control-label">Category</label>

                                        <div class="col-sm-12">
                                            <select name="category_id" class="form-control" required>
                                                <option value="">Choose a category</option>
                                                @if($categories)
                                                    @foreach($categories as $category)
                                                        <option value="{{$category->id}}">{{$category->name}}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="name" class="col-sm-12 control-label">Name</label>

                                        <div class="col-sm-12">
                                            <input type="text" class="form-control" id="name" name="name" placeholder="Name" required>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="slug" class="col-sm-12 control-label">Url Slug</label>

                                        <div class="col-sm-12">
                                            <input type="text" class="form-control" id="slug" name="slug" placeholder="Url Slug" required>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="description" class="col-sm-12 control-label">Description</label>

                                        <div class="col-sm-12">
                                            <textarea name="description" class="form-control" id="description" required></textarea>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="images" class="col-sm-12 control-label">Thumbnail</label>

                                        <div class="col-sm-12">
                                            <input type="file" class="form-control" multiple id="images" name="images[]" />
                                        </div>
                                    </div>
                                </div>
                                <!-- /.card-body -->
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-info">Save</button>
                                </div>
                                <!-- /.card-footer -->
                            </form>

                            @if ($errors->any())
                                {{ implode('', $errors->all(':message')) }}
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
