@extends('front.layouts.index')
@section('title', 'Facture Studio')
@section('content')
    <section class="home-section" >
        <div class="container-fluid">
            <div class="row p-0">
                <div class="col-12 p-0">
                    @if($categories)
                        <div class="owl-carousel position-relative">
                            {{--<div class="mx-3 position-relative w-auto h-auto">--}}
                                {{--<a href="{{url('all-objects')}}">--}}
                                    {{--<img src="{{asset('img/allobjects.jpg')}}" class="mx-auto"  alt="">--}}
                                {{--</a>--}}
                                {{--<a class="carousel-slide-name text-center mx-auto" href="{{url('all-objects')}}">All Objects</a>--}}
                            {{--</div>--}}
                            @foreach($categories as $key => $category)
                                <div class="mx-3 position-relative w-auto h-auto">
                                    <a href="{{route('category_page', $category->slug)}}">
                                        <img src="{{asset('uploads/categories/'.$category->thumbnail)}}" class="mx-auto"  alt="">
                                    </a>
                                    <a class="carousel-slide-name text-center mx-auto" href="{{url('')}}/{{$category->slug}}">{{$category->name}}</a>
                                </div>
                            @endforeach
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </section>

@endsection

@section("customJs")

    <script>
        let owlSettings = {
            margin: 100,
            loop: true,
            center: true,
            smartSpeed: 500,
            items: 1,
            itemsScaleUp: true,
            addClassActive: true,
            navigation: true,
            nav: true,
            navClass: ["owl-prev", "owl-next"],
            navText: [' <img src="{{asset('img/owl-prev.svg')}}" alt="prev">', '<img src="{{asset('img/owl-next.svg')}}" alt="next">'],
            responsive: {
                // breakpoint from 0 up
                0: {
                    margin: 50,
                    stagePadding: 0
                },
                // breakpoint from 420 up
                420: {
                    margin: 70,
                    stagePadding: 0
                },
                // breakpoint from 575 up
                575: {
                    margin: 90,
                    stagePadding: 0
                },
                // breakpoint from 767 up
                767: {
                    margin: 100,
                    stagePadding: 150,
                },
                // breakpoint from 991 up
                991: {
                    margin: 120,
                    stagePadding: 250
                },
                // breakpoint from 1161 up
                1161: {
                    margin: 120,
                    stagePadding: 300
                },
                // breakpoint from 1161 up
                1461: {
                    margin: 120,
                    stagePadding: 390
                },
                // breakpoint from 1161 up
                1761: {
                    margin: 120,
                    stagePadding: 500
                },
            }
        };

        let owl = $(".owl-carousel").owlCarousel(owlSettings);
        sliderFit();
        $(window).on("resize", function () {
            owl.trigger("refresh.owl.carousel");
            setTimeout(sliderFitResize, 500);
        });

        function sliderFit(){
            let activeImg = $(".owl-item.active img");
            if(activeImg.length){

                if( innerWidth > 767 )
                {
                    let imgWidth = activeImg.width();
                    let leftOffset = activeImg.offset().left;
                    let buttonOffset = imgWidth * 1.15 - imgWidth;
                    let newOffsetLeft = leftOffset - buttonOffset / 2 - 60;
                    let newOffsetRight = leftOffset + buttonOffset / 2 + 30 + imgWidth ;
                    $(".owl-prev").css("left", newOffsetLeft);
                    $(".owl-next").css("left", newOffsetRight);
                }
            }
        }
        function sliderFitResize(){
            let activeImg = $(".owl-item.active img");
            if(activeImg.length){
                if( innerWidth > 767 )
                {
                    let imgWidth = activeImg.width();
                    let leftOffset = activeImg.offset().left;
                    let buttonOffset = imgWidth - imgWidth;
                    let newOffsetLeft = leftOffset - buttonOffset / 2 - 60;
                    let newOffsetRight = leftOffset + buttonOffset / 2 + 30 + imgWidth * 1.15;
                    $(".owl-prev").css("left", newOffsetLeft);
                    $(".owl-next").css("left", newOffsetRight);
                } else {
                    $(".owl-prev").css("left", "unset");
                    $(".owl-next").css("left", "unset");
                }
            }
        }
    </script>
@endsection
