@extends('front.layouts.index')
@section('title', 'Inquire')
@section('content')
    <section class="inquire-section">
        <div class="container-fluid px-0">
            <div class="row no-gutters">
                <div class="col-xl-6 order-xl-0">
                    <div class="inquire-box bgc-lightGrey text-center">
                        <img src="{{asset('uploads/products')}}/{{ count($product->images) > 0 ? $product->images[0]->file_name : 'default.png' }}" />
                    </div>
                </div>
                <div class="col-xl-6 order-xl-1">
                    <div class="inquire-box text-xl-right right">
                        <div class="pr-80px">
                            <h2 class="section__title dib fs30 pr">
                                {{$product->name}}
                            </h2>
                            <p class="inquire-box__info c-black fs18">{{$product->description}}</p>
                        </div>
                        <a href="#inquiryModal" data-toggle="modal" data-id='{{$product->id}}' class="btn inquire_btn fs18 c-black pa">
                            Inquire
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </section>

    @if($similiars)
        <section class="table-section">
            <div class="container">
                <div class="row">
                    <div class="col-12 text-center">
                        <h2 class="section__title dib fs30 pr">
                            More {{$product->category->name}}
                        </h2>
                    </div>
                </div>
                <div class="form-row justify-content-center align-items-center">
                    @foreach( $similiars as $similiar )
                        <div class="col-lg-4 col-8">
                            <a class="table-box" href="{{route('product_page', [$similiar->category->slug, $similiar->slug])}}">
                                <img src="{{asset('uploads/products')}}/{{isset($similiar->images[0]->file_name)?$similiar->images[0]->file_name:'default.png'}}" />
                            </a>
                        </div>
                    @endforeach
                </div>
            </div>
        </section>
    @endif

    <!-- Modal -->
    <div class="modal fade inquiryModal" id="inquiryModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content pr">
                <button type="button" class="close modal-close" data-dismiss="modal" aria-label="Close">
                    <img src="{{asset('img/cancel.svg')}}" alt="cancel">
                </button>

                <div class="modal-body">
                    <div class="row h-100 align-items-center justify-content-center">
                        <div class="col-xl-6 col-lg-8 col-sm-10">
                            <div class="loader-animation" style="display: none">
                                <img class="d-block mx-auto" src="{{asset("")}}img/ajax-loader.gif" alt="">
                            </div>
                            <form action="#" class="inquiry-form">
                                <input type="hidden" value="{{$product->id}}" id="product_id" name="product_id">
                                <div class="inquiry-item active">
                                    <label for="name" class="modal-label fs35">What Is your name</label>
                                    <input id="name" type="text" name="name" class="modal-input" required>
                                    <div class="validation-message"></div>
                                </div>
                                <div class="inquiry-item disabled" >
                                    <label for="email" class="modal-label fs35">Email ?</label>
                                    <input type="email" id="email" name="email" class="modal-input" disabled required>
                                    <div class="validation-message"></div>
                                </div>
                                <div class="inquiry-item disabled">
                                    <h2 class="modal-subTitle fs35">Did you have specific color in mind ?</h2>

                                    <div class="inquiry-radio__list">
                                        <input type="radio" name="color_in_mind" id="radioYes" value="yes">
                                        <label for="radioYes" class="radio-label fs30 mr-150">Yes</label>

                                        <input type="radio" name="color_in_mind" value="no" id="radioNo" >
                                        <label for="radioNo" class="radio-label fs30">No</label>
                                    </div>
                                    <div class="validation-message"></div>
                                </div>
                                <div class="inquiry-item disabled">
                                    <label for="code" class="modal-label fs35">May I have the code, please ?</label>
                                    <input type="text" id="code" name="code" required class="modal-input" disabled>
                                    <div class="validation-message"></div>
                                </div>
                                <div class="inquiry-item disabled">
                                    <label for="dimessions" class="modal-label fs35">What are the dimensions ?</label>
                                    <input type="text" id="dimessions" name="dimessions" required class="modal-input" disabled>
                                    <div class="validation-message"></div>
                                </div>
                                <div class="inquiry-item disabled">
                                    <label for="notes" class="modal-label fs35">Anything else?</label>
                                    <textarea id="notes" class="modal-textarea" name="notes" required></textarea>
                                    <div class="validation-message"></div>
                                    <button class="btn submit-inquiry my-3" type="button">Submit</button>
                                </div>
                                <div class="inquiry-item thanks-page disabled">
                                    <h2 class="modal-thanks font-medium text-center fs50">Thank you for your inquiry.</h2>
                                </div>
                                <div class=" text-center next-page-button">
                                    <a href="#" class="btn-next">
                                        <i class="fas fa-chevron-right"></i>
                                    </a>
                                </div>
                            </form>

                        </div>

                    </div>
                </div>

                <div class="modal-footer">
                    <ol class="step-indicators">
                        <li class="active"></li>
                        <li class="disabled"></li>
                        <li class="disabled"></li>
                        <li class="disabled"></li>
                        <li class="disabled"></li>
                        <li class="disabled"></li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
@endsection
