<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', 'FrontPagesController@getIndex');
Route::get('about', 'FrontPagesController@getAbout');
Route::get('contact', 'FrontPagesController@getContact');
Route::get('home', 'FrontPagesController@getIndex');
Route::get('press', 'FrontPagesController@getPress');
Route::get('all-objects', 'FrontPagesController@getObjects');
Route::get('download-catalog', 'FrontPagesController@downloadCatalog');
Route::post("inquire", "FrontPagesController@storeInquire");
Route::get("presses/{page}", ["uses" => "FrontPagesController@partPress", "as" => "getPresses"]);

Auth::routes();

Route::group(['namespace'=>'AdminArea' , 'middleware'=>'auth', 'prefix' => 'admin'], function () {

    Route::get('personal-edit',  'UsersController@getPersonalEdit');

    Route::any('register',       function () {    return redirect('login'); });

    Route::resource('users',     'UsersController');
    Route::resource('products',  'ProductsController');
    Route::resource('categories',  'CategoriesController');
    Route::resource('press',     'PressController');
    Route::delete("delete_image/{id}", ["uses" => "ProductsController@deleteImage", "as" => "deleteImage"]);

    Route::get('inquires',  'InquiresController@getIndex');
});

Route::get('/{name}', 'FrontPagesController@getExactCategory')->name('category_page');
Route::get('/{category_slug}/{product_slug}', 'FrontPagesController@getProductFront')->name('product_page');
