<?php

namespace App\Http\Controllers;

use App\File;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class FileController extends Controller
{
    public function sdvaIndex(){
        $files = File::get();
        return view('user_sdva.home', compact('files'));
    }

    public function subIndex(){
        $files = File::get();
        return view('user_sub.home', compact('files'));
    }

    public function upload(Request $request){
        $file = $request->file('doc');
        if($file){
            $size = $file->getSize();
            if($size > 5000000) return 'Max file size - 5mb';
            $ext = $file->getClientOriginalExtension();
            if($ext !== 'csv' && $ext !== 'xls' && $ext !== 'xlsx') return 'Incorrect file format. Only CSV or XLS/XLSX acceptable';
            $model = new File();
            $original_name = $file->getClientOriginalName();
            $name = time().$original_name;
            $file->move(public_path() . '/files', $name);
            $model->name = $original_name;
            $model->path = '/files/' . $name;
            $model->note = '';
            $model->sdva_id = Auth::user()->id;
            $model->save();
            MailController::notifyFIleUpload( $model->id );
        }

        return redirect('/');
    }

    public function changeInProcess($type, $id){
        $file = File::find($id);
        if($file){
            if($type === 'add'){
                $file->in_process = true;
                $file->acknowledged = Carbon::now();
                MailController::setInProcess($id);
            }
            if($type === 'remove'){
                MailController::setInProcess($id);
                $file->acknowledged = null;
                $file->in_process = false;
            }
            $file->save();
        }
        else return json_encode('File not found');
    }

    public function changeNote(Request $request){
        $id = $request->input('id');
        $file = File::find($id);
        if($file){
            $note = $request->input('note');
            $file->note = $note;
            $file->save();
        }
        else return json_encode('File not found');
    }

    public function allFiles(){
        $files = File::get();
        return json_encode($files);
    }
}
