<?php

namespace App\Http\Controllers;

use App\File;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        if( Auth::user()->role === 'admin' ) {

            $users = User::getUsers();
            return view('admin.users.index', compact('users'));
        }

        if( Auth::user()->role === 'user_sub' ) {

            $files = File::get();
            return view('users.sub.home', compact('files'));
        }

        if( Auth::user()->role === 'user_sdva' ) {

            $files = File::get();
            return view('users.sdva.home', compact('files'));
        }
    }
}
