<?php

namespace App\Http\Controllers;

use App\File;
use App\Mail\FileUploadNotification;
use App\Mail\InProcess;

use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class MailController extends Controller
{
    public static function setInProcess($id) {

        $file = File::find($id);
        if($file){
            $user = User::where( 'role', 'user_sdva')->first();
            Mail::to($user->email)->send(new InProcess($file->name, true));
        }
    }

    public static function removeInProcess( $id ) {

        $file = File::find($id);

        if( $file ) {
            $user = User::where( 'role', 'user_sdva')->first();
            Mail::to($user->email)->send(new InProcess($file->name, false));
        }
    }

    public static function notifyFIleUpload( $id ) {

        $file = File::find($id);

        if( $file ) {

            $user = User::where('role', 'user_sub')->first();
            Mail::to($user->email)->send( new FileUploadNotification($file->name) );
        }

    }
}
