<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class InProcess extends Mailable
{
    use Queueable, SerializesModels;

    public $file_name = '';
    public $processed = true;
    public $subject = "File status change notification";

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($file_name, $processed)
    {
        $this->file_name = $file_name;
        $this->processed = $processed;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('mail.index');
    }
}
