$(document).ready(function () {

    $(document).on('click', function () {
        if($('.inquiry-item').length > 0){
            if(typeof modal !== "undefined" && (modal.find('.inquiry-item').eq(2).hasClass('active') || modal.find('.inquiry-item').eq(5).hasClass('active'))){
                $('.next-page-button').hide();
            }
            else{
                $('.next-page-button').show();
            }
        }

    });

    $('.navbar-toggler').click(function () {
        window.scrollTo(0, 0);
        $('body').toggleClass('open-menu');
        $("main").toggleClass("h-100 overflow-hidden position-relative");
    });

    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $(".delete-icon").on("click", function () {
        let imageId = $(this).siblings("img").attr("data-id");
        $.ajax({
            type: "POST",
            url: `/admin/delete_image/${imageId}`,
            data: {
                _method: "delete",
            },
            success: (data) => {
                if(data && data.success){
                    $(this).parent(".col-12").remove();
                }
            },
            error: (data) => {
                console.log(data);
            }
        })
    });

    let validationMessages = {
        name: "Your Name is Required",
        email: "Please Enter Valid Email",
        code: "The Code is Required",
        dimessions: "The Dimensions Field is Required",
        notes: "The Notes Field is Required",
    };


    function showValidationMessage(input){
        let name = input.attr("name");
        let validationMessage = validationMessages[name];
        input.siblings(".validation-message").empty().text(validationMessage);
    }

    function validateInput(element){
        if(!element[0]) return true;
        if(element[0].hasAttribute("required") && element.attr("type") === "email" && element.val() !== ""){
            let re = /\S+@\S+\.\S+/;
            return re.test(element.val());
        } else if(element[0].hasAttribute("required") && element.val() === ""){
            return false;
        } else if(element.attr("type") === "radio"){
            if(!element.is(':checked') && !element.siblings("input").is(':checked')){
                return false;
            }
        }
        return true;
    }

    function validateAndNext(element){
        let elementIndex = modal.find('input:not([value="no"]):not([type="hidden"]), .modal-textarea').index(element);
        let nextElement = $(element).parent().next(".inquiry-item:not('.thanks-page')");
        if(nextElement.find("textarea").length){
            $(".next-page-button").hide();
        }
        if(validateInput($(element)) && nextElement.length){
            $(element).siblings(".validation-message").empty();
            nextElement.removeClass("disabled").addClass("active");
            let nextElementInput = nextElement.find("input");
            if(!nextElementInput.length){
                nextElementInput = nextElement.find("textarea");
            }
            nextElementInput.attr("disabled", false).focus();
            $(element).parent().addClass("disabled").removeClass("active");
            let activeIndicator = modal.find(".modal-footer .step-indicators .active");
            activeIndicator.addClass("disabled").removeClass("active");
            modal.find(".modal-footer .step-indicators li").eq(elementIndex + 1).addClass("active").removeClass("disabled");
        } else if(nextElement.length){
            showValidationMessage($(element));
        }
    }

    $(".next-page-button").on("click", function(){
        let element = modal.find(".inquiry-item.active input")[0];
        validateAndNext(element);
    });

    // $("#inquiryModal .modal-input, #inquiryModal .modal-textarea").on("focusout keypress", function(e){
    //     validateAndNext(this, e);
    // });
    // $("#inquiryCustomizeModal .modal-input, #inquiryCustomizeModal .modal-textarea").on("focusout keypress", function(e){
    //     validateAndNext(this, e);
    // });

    // $(document).on("touchmove", ".open-menu", (e) => {
    //     let navHeight = $("#headerNavbar").height();
    //     if(innerHeight + $(document).scrollTop() > navHeight){
    //         e.preventDefault();
    //     }
    // });



    $(".inquiry-radio__list .radio-label").on("click", function(){
        let currentSlide = $(this).parent().parent();
        let nextSlide = currentSlide.next();
        currentSlide.removeClass("active").addClass("disabled");
        nextSlide.removeClass('disabled').addClass("active").find("input").attr("disabled", false).focus();
        let activeIndicator = modal.find(".modal-footer .step-indicators .active");
        activeIndicator.addClass("disabled").removeClass("active");
        activeIndicator.next().addClass("active").removeClass("disabled");
    });

    $(".modal-footer .step-indicators li").on("click", function(e){
        let slideIndex = modal.find('.modal-footer .step-indicators li').index(this);
        navigateToSlide(slideIndex + 1, $(this));
    });

        // Function which adds the 'animated' class to any '.animatable' in view
        // var doAnimations = function() {
        //
        //     // Calc current offset and get all animatables
        //     var offset = $(window).scrollTop() + $(window).height(),
        //         $animatables = $('.animatable');
        //
        //     // Unbind scroll handler if we have no animatables
        //     if ($animatables.length === 0) {
        //         $(window).off('scroll', doAnimations);
        //     }
        //
        //     // Check all animatables and animate them if necessary
        //     $animatables.each(function(i) {
        //         var $animatable = $(this);
        //         if (($animatable.offset().top + $animatable.height() - 20) < offset) {
        //             $animatable.removeClass('animatable').addClass('animated');
        //         }
        //     });
        //
        // };

        function canNavigateToSlide(inputs, slideNumber){
            for(let i = 0; i < slideNumber - 1; i++){
                if(!validateInput($(inputs[i]))){
                    return false
                }
            }
            return true;
        }



        function navigateToSlide(slideNumber, slideDot){
            // if(modal.find('.inquiry-item').eq(2).hasClass('active')){
            //     $('.next-page-button').hide();
            // }
            // else{
            //     $('.next-page-button').show();
            // }
            let inputs = modal.find("input:not([value='no']):not([type='hidden'])");
            if(slideNumber <= inputs.length) $(".next-page-button").show();
            else $(".next-page-button").hide();
            if(canNavigateToSlide(inputs, slideNumber)){
                modal.find(".inquiry-item.active").removeClass("active").addClass("disabled");
                modal.find(".inquiry-item").eq(slideNumber - 1).addClass("active").removeClass("disabled");
                modal.find('.modal-footer .step-indicators .active').removeClass("active").addClass("disabled");
                slideDot.addClass("active").removeClass("disabled");
            }
        }

        $("#inquiryModal").on("show.bs.modal", function(){
            modal = $(this);
        });
        $("#inquiryCustomizeModal").on("show.bs.modal", function(){
            modal = $(this);
        });

        function enableFirstSlide(form){
            $(".next-page-button").show();
            modal.find(".inquiry-item.active").removeClass("active").addClass("disabled");
            let firstInput = form.find("input").not("[type='hidden']").eq(0);
            modal.find(".step-indicators .active").removeClass("active").addClass("disabled");
            modal.find(".step-indicators li").eq(0).removeClass("disabled").addClass("active");
            firstInput.attr("disabled", false).parent().removeClass("disabled").addClass("active");
        }

        // Hook doAnimations on scroll, and trigger a scroll
        // $(window).on('scroll', doAnimations);
        $(window).trigger('scroll');

        $("#inquiryModal").on("hidden.bs.modal", function(){
            let form = $(this).find("form");
            enableFirstSlide(form);
        });
        $("#inquiryCustomizeModal").on("hidden.bs.modal", function(){
            let form = $(this).find("form");
            enableFirstSlide(form);
        });

        function showThanksPage(){
            modal.find(".inquiry-item.active").removeClass("active").addClass("disabled");
            modal.find(".thanks-page").removeClass("disabled").addClass("active");
        }

        function showLoading(){
            modal.find(".loader-animation").show();
            modal.find("form").css("opacity", "0.5");
        }

        $(".submit-inquiry").on("click", (e) => {
            showLoading();
            let target = $(e.target);
            let form = target.parents("form");
            let disabledInputs = form.find("input:disabled, textarea:disabled");
            disabledInputs.attr("disabled", false);
            let formData = form.serialize();
            disabledInputs.attr("disabled", true);
            showLoading();
            $.ajax({
                data: formData,
                url: "/inquire",
                type: "POST",
                success: (data) => {
                    if(data["success"]){
                        modal.find(".loader-animation").hide();
                        modal.find("form").css("opacity", "1");
                        form.find("input, textarea").val("");
                        form.find("input[type='radio']").attr("checked", false);
                        showThanksPage();
                    }
                },
                error: (data) => {
                    console.log(data);
                }
            });
        });

});

