@extends('admin.layouts.index')
@section('title','Edit Category')
@section('content')
    <div class="content-wrapper mt-md-3">

        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-6 offset-md-3">
                        <div class="card card-info">
                            <div class="card-header">
                                <h3 class="card-title">Category Details</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->
                            <form class="form-horizontal" action="{{ route('categories.update', $category->id) }}" method="POST" enctype="multipart/form-data">
                                @csrf
                                @method('put')
                                <div class="card-body">
                                    <div class="form-group">
                                        <label for="name" class="col-sm-12 control-label">Name</label>

                                        <div class="col-sm-12">
                                            <input type="text" class="form-control" id="name" value="{{$category->name}}" name="name" placeholder="Name" required>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="slug" class="col-sm-12 control-label">Slug</label>

                                        <div class="col-sm-12">
                                            <input type="text" class="form-control" id="slug" value="{{$category->slug}}" name="slug" placeholder="Slug" required>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="inputEmail3" class="col-sm-12 control-label">Description</label>

                                        <div class="col-sm-12">
                                            <textarea name="description" class="form-control" id="inputEmail3" required>{{$category->description}}</textarea>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="thumbnail" class="col-sm-12 control-label">Thumbnail</label>

                                        <div class="col-sm-12">
                                            <input type="file" class="form-control" id="thumbnail" name="thumbnail" placeholder="Thumbnail" >
                                            <hr>
                                            <p>* If you upload new file, the existing image would be overwritten</p>
                                            <img src="{{asset('uploads/categories/'.$category->thumbnail)}}" width="600"/>
                                        </div>
                                    </div>
                                </div>
                                <!-- /.card-body -->
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-info">Save</button>
                                </div>
                                <!-- /.card-footer -->
                            </form>

                            @if ($errors->any())
                                {{ implode('', $errors->all(':message')) }}
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
