@extends('front.layouts.index')
@section('title', 'About - Facture Studio')
@section('content')

    <section class="about-section">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h2 class="section__title dib fs30 pr">
                        About Us
                    </h2>
                    <div>
                        <p class="about-section__txt c-black fs18 mb-1">
                            Facture is a multidisciplinary art & design studio that experiments with light & transparency. Based in Brooklyn and headed by artist, Quincy Ellis,
                            the studio uses resin to create breathtaking art, furniture & large-scale installations.
                        </p>
                        <p class="about-section__txt c-black fs18">
                            An evolving process of discovery informs Facture’s work and it is intrinsic to everything produced.
                            While the pieces themselves feature smooth surfaces and clean lines throughout, the path followed to create them is anything but linear.
                            Functioning as a series of art experiments, a mixture of remarkable chaos and calculated precision
                            not only drives the company’s creative process - it’s essential to its everyday function.
                            What may begin as a ricochet of forward-thinking ideas that “might just be crazy enough to work”,
                            often becomes a headfirst dive into the boldest fabrication and aesthetic challenges they can conceive.
                        </p>
                        <div class="about-section__img">
                            <img src="/img/img_6902.jpg" alt="about">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="press-blg">

        </div>
    </section>
@endsection

@section("customJs")
    <script>

        let paginationCount = +"{{\App\Models\Press::ABOUT_PAGIATION}}";
        let page = 1;
        let elementsCount = +"{{$count}}";
        function getPresses(){
            $.ajax({
                url: `presses/${page}`,
                type: "GET",
                dataType: 'html',
                success: (data) => {
                    page++;
                    $(".press-blg").html(data);
                },
                error: (data) => {
                    console.log(data);
                }
            });
        }
        getPresses();
        $(document).on("click", ".more-presses", function(e){
            e.preventDefault();
            getPresses();
        });
    </script>
@endsection

