@extends('front.layouts.index')
@section('title', 'About - Facture Studio')
@section('content')
    <section class="object-section">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <ul class="nav nav-tabs" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="all-tab" data-toggle="tab" href="#all-objects" role="tab" aria-controls="all-objects" aria-selected="true">All Objects</a>
                        </li>
                        @if($all_categories)
                            @foreach($all_categories as $categories)
                                <li class="nav-item">
                                    <a class="nav-link" id="{{$categories->slug}}-tab" data-toggle="tab" href="#{{$categories->slug}}" role="tab" aria-controls="{{$categories->slug}}" aria-selected="false">{{$categories->name}}</a>
                                </li>
                            @endforeach
                        @endif
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane fade show active" id="all-objects" role="tabpanel" aria-labelledby="all-tab">
                            <h2 class="tab-pane__title c-black fs26 font-light">All Objects</h2>
                            <div class="row">
                                @foreach($all_products as $products)
                                    <div class="col-lg-6 object-item">
                                        <a href="{{route('product_page', [$products->category->slug, $products->slug])}}" class="object-box db text-decoration-none">
                                                        <span class="object-box__img transition-all db">
                                                            <img src="{{asset('uploads/products')}}/{{isset($products->images[0]->file_name)?$products->images[0]->file_name:'default.png'}}" />
                                                        </span>
                                            <span class="object-box__title db fs18 c-black font-light">{{$products->name}}</span>
                                        </a>
                                    </div>
                                @endforeach
                            </div>
                        </div>

                        @if($all_categories)
                            @foreach($all_categories as $categories)
                                <div class="tab-pane fade" id="{{$categories->slug}}" role="tabpanel" aria-labelledby="{{$categories->slug}}-tab">
                                    <h2 class="tab-pane__title c-black fs26 font-light">{{$categories->description}}</h2>
                                    <div class="row">
                                        @foreach($categories->products as $product)
                                                <div class="col-lg-6 object-item">
                                                    <a href="{{route('product_page', [$categories->slug, $product->slug])}}" class="object-box db text-decoration-none">
                                                        <span class="object-box__img transition-all db">
                                                            <img src="{{asset('uploads/products')}}/{{isset($product->images[0]->file_name)?$product->images[0]->file_name:'default.png'}}" />
                                                        </span>
                                                        <span class="object-box__title db fs18 c-black font-light">{{$product->name}}</span>
                                                    </a>
                                                </div>
                                        @endforeach
                                    </div>
                                </div>
                            @endforeach
                        @endif
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 text-center">
                    <a href="" class="object-section__link text-decoration-none to-top fs22 c-black font-light transition-all dib">Go to top
                        <span class="triangle transition-all"></span> </a>
                </div>
            </div>
        </div>
    </section>

@endsection

@section("customJs")
    <script>
        $(".to-top").on("click", (e) => {
            e.preventDefault();
            $("html, body").animate({ scrollTop: 0 }, "slow");
        });
    </script>
@endsection
