@extends('users.layouts.index')
@section('title','Daily Schedulers')
@section('content')

<div class="content-wrapper mt-md-3">

    <!-- Main content -->
    <input type="hidden" value="{{Auth::user()->role}}" id="user_role">
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="form-group col-md-6 mb-3 mt-3">
                    <label for="uploadfile">Please note that only xls, xlsx and csv files (less than 5mb) are accepted.</label>
                    <form action="/upload" method="post" enctype="multipart/form-data">
                        @csrf
                        <div class="input-group">
                            <div class="">
                                <input type="file" name="doc" class="" id="uploadfile">
                            </div>
                            <div class="input-group-append">
                                <button type="submit" class="input-group-text btn-primary" id="">Upload</button>
                            </div>
                        </div>
                        <div class="hidden upload-error">
                            <p>File is not acceptable</p>
                        </div>
                    </form>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="col-12">
                    <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">POSTED DAILY SCHEDULES</h3>
                            </div>
                        <!-- /.card-header -->
                        <div class="card-body table-responsive p-0 mt-3">
                            <table class="table table-bordered table-striped files-posted">
                                <thead>
                                    <tr>
                                        <th>Num</th>
0                                        <th>View</th>
                                        <th>Name</th>
                                        <th>Date</th>
                                        <th>Note</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if($files)
                                        @foreach($files as $file)
                                            @if(!$file->in_process)
                                                <tr>
                                                    <td>{{$file->id}}</td>
                                                    <td class="file-download">
                                                        <a href="{{$file->path}}" download="{{$file->name}}"><i class="ion-android-download"></i></a>
                                                    </td>
                                                    <td>{{$file->name}}</td>
                                                    <td>{{$file->created_at}}</td>
                                                    <td>
                                                        <div class="edit-note">{{$file->note ? $file->note : 'Click to add note'}}</div>
                                                        <div class="note hidden">
                                                            <input type="text" class="new-note"  data-id="{{$file->id}}">
                                                        </div>
                                                    </td>
                                                </tr>
                                            @endif
                                        @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
            </div><!-- /.row -->
            <hr>
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">PROCESSED DAILY SCHEDULES</h3>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body table-responsive p-0 mt-3">
                            <table class="table table-hover table-bordered table-striped files-scheduled">
                                <thead>
                                    <tr>
                                        <th>Num</th>
                                        <th>View</th>
                                        <th>Name</th>
                                        <th>Date</th>
                                        <th>Note</th>
                                        <th>Acknowledged</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if($files)
                                        @foreach($files as $file)
                                            @if($file->in_process)
                                                <tr>
                                                    <td>{{$file->id}}</td>
                                                    <td class="file-download">
                                                        <a href="{{$file->path}}" download="{{$file->name}}"><i class="ion-android-download"></i></a>
                                                    </td>
                                                    <td>{{$file->name}}</td>
                                                    <td>{{$file->created_at}}</td>
                                                    <td>
                                                        <div class="edit-note">{{$file->note ? $file->note : 'Click to add note'}}</div>
                                                        <div class="note hidden">
                                                            <input type="text" class="new-note"  data-id="{{$file->id}}">
                                                        </div>
                                                    </td>
                                                    <td>
                                                        {{$file->acknowledged}}
                                                    </td>
                                                </tr>
                                            @endif
                                        @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
            </div><!-- /.row -->
        </div>
    </section>
</div>
@endsection
