@extends('users.layouts.index')
@section('title','Daily Schedulers')
@section('content')
    <input type="hidden" value="{{Auth::user()->role}}" id="user_role">
    <div class="content-wrapper mt-md-3">
        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">POSTED DAILY SCHEDULES</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body table-responsive p-0 mt-3">
                                <table class="table table-hover table-bordered table-striped files-posted">
                                    <thead>
                                        <tr>
                                            <th>Num</th>
                                            <th>View</th>
                                            <th>Name</th>
                                            <th>Date</th>
                                            <th>Note</th>
                                            <th>Ack</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if($files)
                                            @foreach($files as $file)
                                                @if(!$file->in_process)
                                                    <tr>
                                                        <td>{{$file->id}}</td>
                                                        <td class="file-download">
                                                            <a href="{{$file->path}}" download="{{$file->name}}"><i class="ion-android-download"></i></a>
                                                        </td>
                                                        <td>{{$file->name}}</td>
                                                        <td>{{$file->created_at}}</td>
                                                        <td>
                                                            <div class="edit-note">{{$file->note ? $file->note : 'Click to add note'}}</div>
                                                            <div class="note hidden">
                                                                <input type="text" class="new-note"  data-id="{{$file->id}}">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <input type="checkbox" class="set-in-process" data-id="{{$file->id}}">
                                                        </td>
                                                    </tr>
                                                @endif
                                            @endforeach
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->
                    </div>
                </div><!-- /.row -->
                <hr>
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">PROCESSED DAILY SCHEDULES</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body table-responsive p-0 mt-3">
                                <table class="table table-hover table-bordered table-striped files-posted">
                                    <thead>
                                        <tr>
                                            <th>Num</th>
                                            <th>View</th>
                                            <th>Name</th>
                                            <th>Date</th>
                                            <th>Note</th>
                                            <th>Ack</th>
                                            <th>Acknowledged</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if($files)
                                            @foreach($files as $file)
                                                @if($file->in_process)
                                                    <tr>
                                                        <td>{{$file->id}}</td>
                                                        <td class="file-download">
                                                            <a href="{{$file->path}}" download="{{$file->name}}"><i class="ion-android-download"></i></a>
                                                        </td>
                                                        <td>{{$file->name}}</td>
                                                        <td>{{$file->created_at}}</td>
                                                        <td>
                                                            <div class="edit-note">{{$file->note ? $file->note : 'Click to add note'}}</div>
                                                            <div class="note hidden">
                                                                <input type="text" class="new-note"  data-id="{{$file->id}}">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <input type="checkbox" checked class="remove-in-process" data-id="{{$file->id}}">
                                                        </td>
                                                        <td>{{$file->acknowledged}}</td>
                                                    </tr>
                                                @endif
                                            @endforeach
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->
                    </div>
                </div><!-- /.row -->
            </div>
        </section>
    </div>
@endsection
