<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['namespace'=>'AdminArea' , 'middleware'=>'admin'], function () {
    Route::get('personal-edit',         'UsersController@getPersonalEdit');
    Route::post('search',               ['uses' => 'UsersController@search', 'as' => 'user-search']);
    Route::any('register',              function () {    return redirect('login'); });
    Route::resource('users',            'UsersController');
    Route::get('daily-schedulers', 'UsersController@dailySchedulers');
});

Route::group(['middleware'=>'user_sdva'], function () {
    Route::post('upload',               ['uses' => 'FileController@upload', 'as' => 'file-upload']);
});

Route::group(['middleware'=>'user_sub'], function () {
    Route::get('process/{type}/{id}',   'FileController@changeInProcess');
});

Route::group(['middleware'=>'auth'], function () {
    Route::post('note/{id}',            'FileController@changeNote');
    Route::get('all_files',             'FileController@allFiles');
});
